PETSc version 3.15.5
Fix/Edit manual page

# DMGetMatType

Gets the type of matrix created with DMCreateMatrix()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetMatType(DM dm,MatType *ctype)

Logically Collective on dm

### Input Parameter

| dm | - the DM context

### Output Parameter

| ctype | - the matrix type

### Options Database

| -dm_mat_type ctype

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMSetMatType(), DMSetMatType(), DMGetMatType()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages